devops: produce webkit-wpe builds

This commit is contained in:
Andrey Lushnikov 2020-01-17 14:37:17 -08:00
parent 928d04dc26
commit 64884dc278
6 changed files with 23 additions and 13 deletions

View file

@ -2,13 +2,13 @@
We currently have 4 build bots that produce the following builds
- **[buildbot-linux]** Ubuntu 18.04 machine
- builds: `Webkit-gtk`, `Firefox-Linux`
- builds: `webkit-gtk`, `webkit-wpe`, `firefox-linux`
- **[buildbot-mac-10.14]** Mac 10.14 machine
- builds: `WebKit-mac-10.14`, `Firefox-Mac`
- builds: `webKit-mac-10.14`, `firefox-mac`
- **[buildbot-mac-10.15]** machine
- builds: `WebKit-mac-10.15`
- builds: `webkit-mac-10.15`
- **[buildbot-windows]** Windows 10 machine
- builds: `Firefox-win32`, `Firefox-win64`, `webkit-win64`
- builds: `firefox-win32`, `firefox-win64`, `webkit-win64`
This document describes setting up bots infrastructure to produce
browser builds.

View file

@ -59,3 +59,6 @@ git pull origin master
git pull origin master
../checkout_build_archive_upload.sh webkit-gtk >/tmp/$(basename $0)--webkit-gtk.log || true
git pull origin master
../checkout_build_archive_upload.sh webkit-wpe >/tmp/$(basename $0)--webkit-wpe.log || true

View file

@ -3,7 +3,7 @@ set -e
set +x
if [[ ($1 == '--help') || ($1 == '-h') ]]; then
echo "usage: $(basename $0) [firefox-linux|firefox-win32|firefox-win64|webkit-gtk|webkit-win64|webkit-mac-10.14|webkit-mac-10.15] [-f|--force]"
echo "usage: $(basename $0) [firefox-linux|firefox-win32|firefox-win64|webkit-gtk|webkit-wpe|webkit-win64|webkit-mac-10.14|webkit-mac-10.15] [-f|--force]"
echo
echo "Prepares checkout under browser folder, applies patches, builds, archives, and uploades if build is missing."
echo "Script will bail out early if the build for the browser version is already present."
@ -28,6 +28,7 @@ fi
BROWSER_NAME=""
EXTRA_BUILD_ARGS=""
EXTRA_ARCHIVE_ARGS=""
BUILD_FLAVOR="$1"
EXPECTED_HOST_OS=""
EXPECTED_HOST_OS_VERSION=""
@ -48,6 +49,11 @@ elif [[ "$BUILD_FLAVOR" == "firefox-win64" ]]; then
elif [[ "$BUILD_FLAVOR" == "webkit-gtk" ]]; then
BROWSER_NAME="webkit"
EXPECTED_HOST_OS="Linux"
elif [[ "$BUILD_FLAVOR" == "webkit-wpe" ]]; then
BROWSER_NAME="webkit"
EXTRA_BUILD_ARGS="--wpe"
EXTRA_ARCHIVE_ARGS="--wpe"
EXPECTED_HOST_OS="Linux"
elif [[ "$BUILD_FLAVOR" == "webkit-win64" ]]; then
BROWSER_NAME="webkit"
EXPECTED_HOST_OS="MINGW"
@ -135,7 +141,7 @@ if ! ./$BROWSER_NAME/build.sh "$EXTRA_BUILD_ARGS"; then
fi
echo "-- archiving to $ZIP_PATH"
if ! ./$BROWSER_NAME/archive.sh $ZIP_PATH; then
if ! ./$BROWSER_NAME/archive.sh $ZIP_PATH "$EXTRA_ARCHIVE_ARGS"; then
send_telegram_message "$BUILD_ALIAS -- ./archive.sh failed! ❌"
exit 1
fi

View file

@ -37,12 +37,14 @@ FFOX_ALIASES=(
WK_REVISION=$(cat ../webkit/BUILD_NUMBER)
WK_ARCHIVES=(
"$HOST/webkit/%s/minibrowser-gtk.zip"
"$HOST/webkit/%s/minibrowser-wpe.zip"
"$HOST/webkit/%s/minibrowser-mac-10.14.zip"
"$HOST/webkit/%s/minibrowser-mac-10.15.zip"
"$HOST/webkit/%s/minibrowser-win64.zip"
)
WK_ALIASES=(
"WK-GTK"
"WK-WPE"
"WK-MAC-10.14"
"WK-MAC-10.15"
"WK-WIN64"

View file

@ -6,7 +6,7 @@ trap "cd $(pwd -P)" EXIT
cd "$(dirname "$0")"
if [[ ($1 == '--help') || ($1 == '-h') ]]; then
echo "usage: $(basename $0) [firefox-linux|firefox-win32|firefox-win64|webkit-gtk|webkit-win64|webkit-mac-10.14|webkit-mac-10.15] [--check] [zip-path]"
echo "usage: $(basename $0) [firefox-linux|firefox-win32|firefox-win64|webkit-gtk|webkit-wpe|webkit-win64|webkit-mac-10.14|webkit-mac-10.15] [--check] [zip-path]"
echo
echo "Upload .zip as a browser build."
echo
@ -49,6 +49,9 @@ elif [[ "$BUILD_FLAVOR" == "firefox-win64" ]]; then
elif [[ "$BUILD_FLAVOR" == "webkit-gtk" ]]; then
BROWSER_NAME="webkit"
BLOB_NAME="minibrowser-gtk.zip"
elif [[ "$BUILD_FLAVOR" == "webkit-wpe" ]]; then
BROWSER_NAME="webkit"
BLOB_NAME="minibrowser-wpe.zip"
elif [[ "$BUILD_FLAVOR" == "webkit-win64" ]]; then
BROWSER_NAME="webkit"
BLOB_NAME="minibrowser-win64.zip"

View file

@ -3,7 +3,7 @@ set -e
set +x
if [[ ("$1" == "-h") || ("$1" == "--help") ]]; then
echo "usage: $(basename $0) [--wpe] [output-absolute-path]"
echo "usage: $(basename $0) [output-absolute-path] [--wpe]"
echo
echo "Generate distributable .zip archive from ./checkout folder that was previously built."
echo
@ -11,11 +11,7 @@ if [[ ("$1" == "-h") || ("$1" == "--help") ]]; then
fi
ZIP_PATH=$1
USE_WPE=""
if [[ "$ZIP_PATH" == "--wpe" ]]; then
ZIP_PATH=$2
USE_WPE="true"
fi
USE_WPE=$2
if [[ $ZIP_PATH != /* ]]; then
echo "ERROR: path $ZIP_PATH is not absolute"
exit 1